require 'spec_helper'

describe 'goscript' do
    let(:title) { '/bin/test' }
    content = 'package main
import "fmt"

func main() {
    fmt.Println("test")
}
'

    let(:params) { {
        :content => content,
    } }

    it do
        is_expected.to contain_file('/bin/test.go').with({
            'ensure'  => 'file',
            'owner'   => 'root',
            'group'   => 'root',
            'mode'    => '0644',
            'content' => content,
            'source'  => nil,
        })

        is_expected.to contain_goscript__build('/bin/test')
    end


end
